Cyberduck Mountain Duck CLI

#5505 closed defect (fixed)

Some files not visible

Reported by: https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8 Owned by: dkocher
Priority: normal Milestone: 3.8.1
Component: ftp Version: 3.8
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

just upgraded to 3.8. Now there are files on my server which are not showing up in Cyberduck.

Attachments (1)

Schermata 2011-02-17 a 17.13.29.png (39.3 KB) - added by ziorufus on Feb 17, 2011 at 4:15:38 PM.
Screen

Download all attachments as: .zip

Change History (14)

comment:1 Changed on Dec 5, 2010 at 8:53:42 AM by yla

  • Summary changed from some files not visible in Cyberduck to Some files not visible

What kind of files? What's the protocol you are using? If it's not SFTP can you please post the transcript from the Log Drawer?

comment:2 follow-up: Changed on Dec 5, 2010 at 11:54:04 AM by https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8

Among the missing files are 3 folders containing three of my websites. There is nothing in the Log Drawer. I assume it's SFTP as that is the default for Cyberduck, as set in Preferences.

I can see these folders on the server, they are definitely there, just can't be seen in Cyberduck. I've closed it down and opened it up again, still the same list of files.

comment:3 in reply to: ↑ 2 Changed on Dec 5, 2010 at 12:05:23 PM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8:

Among the missing files are 3 folders containing three of my websites. There is nothing in the Log Drawer. I assume it's SFTP as that is the default for Cyberduck, as set in Preferences.

I can see these folders on the server, they are definitely there, just can't be seen in Cyberduck. I've closed it down and opened it up again, still the same list of files.

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:4 follow-up: Changed on Dec 5, 2010 at 12:24:39 PM by https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8

found this in the console:

Dec  5 18:37:07 flloyd-kennedys-macbook [0x0-0x69069].ch.sudo.cyberduck[568]: 2010-12-05 18:37:07,317 [pool-1-thread-12] ERROR ch.cyberduck.core.ftp.FTPPath - No compatible file listing method found

Any use?

Last edited on Dec 5, 2010 at 1:10:08 PM by dkocher (previous) (diff)

comment:5 in reply to: ↑ 4 Changed on Dec 5, 2010 at 1:11:07 PM by dkocher

  • Component changed from core to ftp

Replying to https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8:

found this in the console:

Dec  5 18:37:07 flloyd-kennedys-macbook [0x0-0x69069].ch.sudo.cyberduck[568]: 2010-12-05 18:37:07,317 [pool-1-thread-12] ERROR ch.cyberduck.core.ftp.FTPPath - No compatible file listing method found

Any use?

That helps. You are connecting using FTP. There really should be a transcript available in the log drawer, though.

comment:6 Changed on Dec 5, 2010 at 1:33:12 PM by https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8

It looks like that is all I can use with my server - IX Webhosting. Never had any probs before. It was working fine this morning, before I upgraded Cyberduck.

Still nothing in the log drawer. Weird, eh? Makes it pretty difficult to upload files, if the folders aren't showing up.

comment:7 Changed on Dec 5, 2010 at 1:53:21 PM by yla

Did you make sure that the log drawer is open before you connect? Alternatively you can also press the Refresh button when you opened the log drawer.

comment:8 Changed on Dec 5, 2010 at 1:59:21 PM by https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8

just connected with log drawer open, this is what I got:

220 iis93 Microsoft FTP Service (Version 5.0). FEAT 500 'FEAT': command not understood USER flloyd20 331 Password required for flloyd20. PASS 230 User flloyd20 logged in. PWD 257 "/flloyd20" is current directory. NOOP 200 NOOP command successful. SYST 215 Windows_NT version 5.0 STAT /flloyd20 213-status of /flloyd20: drwxrwxrwx 1 owner group 0 Dec 5 0:45 adele.handmadebyflloyd.com drwxrwxrwx 1 owner group 0 Jul 26 22:56 being-in-voice.com drwxrwxrwx 1 owner group 0 Dec 5 7:49 blog.thundersmouththeatre.com drwxrwxrwx 1 owner group 0 Jan 22 2009 contact -rwxrwxrwx 1 owner group 3638 Jan 22 2009 favicon.ico drwxrwxrwx 1 owner group 0 Jan 22 2009 files drwxrwxrwx 1 owner group 0 Dec 3 22:44 flloyd-in-voice.com drwxrwxrwx 1 owner group 0 Aug 14 7:33 handmadebyflloyd.com drwxrwxrwx 1 owner group 0 Dec 12 2009 handmadebyyou drwxrwxrwx 1 owner group 0 Dec 5 2009 images -rwxrwxrwx 1 owner group 6807 Dec 12 2009 index.html -rwxrwxrwx 1 owner group 397 Sep 10 2008 index.php -rwxrwxrwx 1 owner group 43976 Dec 27 2008 joyousbraceletcloseup.jpg -rwxrwxrwx 1 owner group 15407 Sep 10 2008 license.txt -rwxrwxrwx 1 owner group 39900 Sep 1 2008 logo image only.jpg drwxrwxrwx 1 owner group 0 Dec 3 22:21 logs drwxrwxrwx 1 owner group 0 Apr 21 2009 offtheplanetproductions.flloyd-in-voice.com drwxrwxrwx 1 owner group 0 Dec 12 2009 page1 drwxrwxrwx 1 owner group 0 Dec 12 2009 page3 drwxrwxrwx 1 owner group 0 Dec 12 2009 page4 drwxrwxrwx 1 owner group 0 Dec 12 2009 page6 drwxrwxrwx 1 owner group 0 Dec 12 2009 page7 drwxrwxrwx 1 owner group 0 Dec 12 2009 page8 drwxrwxrwx 1 owner group 0 Dec 12 2009 page9 -rwxrwxrwx 1 owner group 7642 Sep 10 2008 readme.html drwxrwxrwx 1 owner group 0 Dec 12 2009 rw_common -rwxrwxrwx 1 owner group 3175 Dec 3 23:53 thatfile.php drwxrwxrwx 1 owner group 0 Oct 15 6:21 thundersmouththeatre.com -rwxrwxrwx 1 owner group 1257 Sep 10 2008 wp-cron.php 213 End of status.

the missing folders are mentioned in this - e.g. thundersmouththeatre.com and blog.thundersmouththeatre.com. But they still don't show up in the Cyberduck file list.

Version 0, edited on Dec 5, 2010 at 1:59:21 PM by https://www.google.com/accounts/o8/id?id=aitoawn9ohnvcgwrcidngrltxjfwkb4xzu3tnh8 (next)

comment:9 Changed on Dec 5, 2010 at 3:29:49 PM by dkocher

  • Milestone set to 4.0
  • Owner changed from Flloyd Kennedy to dkocher
  • Status changed from new to assigned

Bug introduced in r7794.

comment:10 Changed on Dec 5, 2010 at 3:34:44 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r7926.

comment:11 Changed on Dec 5, 2010 at 4:21:32 PM by dkocher

Please try the latest snapshot build available.

comment:12 Changed on Dec 6, 2010 at 5:01:54 PM by dkocher

  • Milestone changed from 4.0 to 3.8.1

Changed on Feb 17, 2011 at 4:15:38 PM by ziorufus

Screen

comment:13 Changed on Feb 17, 2011 at 4:16:59 PM by ziorufus

This happens to me, too.
I tried to download latest nighty build (Version 3.8.2 (8349)), but the problem is still there.
See attachment.

Note: See TracTickets for help on using tickets.
swiss made software